EZ_InsertWidgetAfter(3)

NAME
EZ_InsertWidgetAfter, EZ_InsertWidgetBefore, EZ_SwapWidgets - editing a widget tree

SYNOPSIS
#include <EZ.h>

void *EZ_InsertWidgetAfter(EZ_Widget *a, EZ_Widget *b)
void *EZ_InsertWidgetBefore(EZ_Widget *a, EZ_Widget *b)
void *EZ_SwapWidgets(EZ_Widget *a, EZ_Widget *b)

ARGUMENTS
a, b Specify two widgets.

DESCRIPTION
EZ_InsertWidgetAfter inserts a after b.

EZ_InsertWidgetBefore inserts a before b.

EZ_SwapWidgets swaps the position of a and b.

All these three functions require that a and b have no ancestor-descendant relationship.

SEE ALSO
EZ_CreateWidget(3), EZ_DestroyWidget(3)